Next: RS232 usage example, Previous: RS232 resources, Up: RS232 settings [Contents][Index]

#### 6.12.2 RS232 command-line options

`-rsdev1 <Name>`
`-rsdev2 <Name>`
`-rsdev3 <Name>`
`-rsdev4 <Name>`

  Specify <Name> as RS232 devices 1, 2, 3 and 4, respectively (`RsDevice1`, `RsDevice2` `RsDevice3` and `RsDevice4`).

`-rsdev1ip232` ¶
`+rsdev1ip232`
`-rsdev2ip232` ¶
`+rsdev2ip232`
`-rsdev3ip232` ¶
`+rsdev3ip232`
`-rsdev4ip232`
`+rsdev4ip232`

  Enable/Disable whether the respective RS232 devices (see RS232 settings) use the IP232 protocol supported by tcpser. This only works with Socket connections.

`-acia1`
`+acia1`

  Enable/Disable the $DE** ACIA RS232 interface emulation (`Acia1Enable=1`, `Acia1Enable=0`) (x64, x64sc, xscpu64, x128 and xvic only, and only if RS232 support is enabled and supported at compile time).

`-myaciadev <0-3>`

  Specify RS232 device the ACIA should work on (all emulators except x64dtv and vsid, and only if RS232 support is enabled and supported at compile time)

`-acia1base <Base address>`

  Set the base address of the ACIA cartridge (`Acia1Base`) (x64, x64sc, xscpu, x128 and xvic only, and only if RS232 support is enabled and supported at compile time). (xvic: $9800/$9C00, x128: $D700/$DE00/$DF00, x64, x64sc, xscpu: $DE00/$DF00)

`-acia1mode <mode>`

  Set the ACIA mode (`Acia1Mode`) (x64, x64sc, xscpu64, xvic and x128 only, and only if RS232 support is enabled and supported at compile time). (0: Normal, 1: Swiftlink, 2: Turbo232)

`-acia1irq <interrupt>`

  Set the ACIA interrupt (`Acia1Irq`) (x64, x64sc, xscpu64, xvic and x128 only, and only if RS232 support is enabled and supported at compile time). (0: None, 1: NMI, 2: IRQ)

`-rsuser`
`+rsuser`

  Enable or disable emulation of the userport RS232 emulation (`RsUser`; C64, C128 and VIC20)

`-rsuserbaud <baud>`

  Set the baud rate of the RS232 userport emulation.

`-rsuserdev <0-3>`

  Specify device for the userport RS232 emulation (`RsUserDev`; C64, C128 and VIC20).

The following command-line options are only available if RS232 device support or RS232 network support is available at compile time.

`-rsdev1baud <baudrate>`
`-rsdev2baud <baudrate>`
`-rsdev3baud <baudrate>`
`-rsdev4baud <baudrate>`

  Specify <baudrate> as baudrate for the RS232 devices if the device name specifies a special device (like `/dev/ttyS0` for example, see RS232 settings; `RsDevice1Baud`, `RsDevice2Baud` `RsDevice3Baud` and `RsDevice4Baud`) (all emulators except vsid).

Next: RS232 usage example, Previous: RS232 resources, Up: RS232 settings [Contents][Index]